(function (cjs, an) {

var p; // shortcut to reference prototypes
var lib={};var ss={};var img={};
lib.ssMetadata = [];


// symbols:
// helper functions:

function mc_symbol_clone() {
	var clone = this._cloneProps(new this.constructor(this.mode, this.startPosition, this.loop));
	clone.gotoAndStop(this.currentFrame);
	clone.paused = this.paused;
	clone.framerate = this.framerate;
	return clone;
}

function getMCSymbolPrototype(symbol, nominalBounds, frameBounds) {
	var prototype = cjs.extend(symbol, cjs.MovieClip);
	prototype.clone = mc_symbol_clone;
	prototype.nominalBounds = nominalBounds;
	prototype.frameBounds = frameBounds;
	return prototype;
	}


(lib.zibens1 = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer_1
	this.shape = new cjs.Shape();
	this.shape.graphics.f("#F6FAFD").s().p("AgPAHQgMgRAQgIQAQgJAMAVQAKATgOAGQgFADgEAAQgKAAgJgPg");
	this.shape.setTransform(46.4,8.9);

	this.shape_1 = new cjs.Shape();
	this.shape_1.graphics.f("#FF9500").s().p("AA9hRIB6AAIibDyIgGAGIj1DIgAi3hRIEdkdIB6AAIkcEdg");
	this.shape_1.setTransform(22.4,36.7);

	this.shape_2 = new cjs.Shape();
	this.shape_2.graphics.f("#FFD747").s().p("AiaEFICajzIh5AAIh7AAIEdkcIDMAAIjMDMIDMAAImWFJgAAtjFQgRAIANATQAMAUAQgIQAOgGgKgUQgIgPgLAAQgEAAgFACg");
	this.shape_2.setTransform(40.8,26.7);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.shape_2},{t:this.shape_1},{t:this.shape}]}).wait(1));

}).prototype = getMCSymbolPrototype(lib.zibens1, new cjs.Rectangle(0,0,65.3,73.4), null);


(lib.sswdd = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer_1
	this.shape = new cjs.Shape();
	this.shape.graphics.f("#707789").s().p("AjLBmIDLjLIDMAAIjMDLg");
	this.shape.setTransform(20.4,10.2);

	this.timeline.addTween(cjs.Tween.get(this.shape).wait(1));

}).prototype = getMCSymbolPrototype(lib.sswdd, new cjs.Rectangle(0,0,40.8,20.4), null);


(lib.sjhfre = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer_1
	this.shape = new cjs.Shape();
	this.shape.graphics.f("#0091FF").s().p("AhFBFQghghAAgtQAAgtAhgiQAHgIALgFIACgCIAAAAQgQAhAEAlQAGAlAaAZQAbAaAkAGQAkAEAhgQIgOAUQghAjgvAAQguAAgggjg");
	this.shape.setTransform(10.3,14.1);

	this.shape_1 = new cjs.Shape();
	this.shape_1.graphics.f("#F6FAFD").s().p("AgPAHQgMgRAQgIQAQgJAMAVQAKATgOAGQgFADgEAAQgKAAgJgPg");
	this.shape_1.setTransform(17.9,12.9);

	this.shape_2 = new cjs.Shape();
	this.shape_2.graphics.f("#31C4FF").s().p("AA/BVQggAPgkgDQglgHgagaQgbgYgGgnQgEgjARghQAggQBEgLIBagKIgKBZQgQBdgbAbgAAZAFQgRAIANATQAMAUAQgJQAOgFgKgVQgIgOgLAAQgEAAgFACg");
	this.shape_2.setTransform(14.2,10.5);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.shape_2},{t:this.shape_1},{t:this.shape}]}).wait(1));

}).prototype = getMCSymbolPrototype(lib.sjhfre, new cjs.Rectangle(0,0,24.5,24.5), null);


(lib.makonis1 = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer_1
	this.shape = new cjs.Shape();
	this.shape.graphics.f("#8A90A0").s().p("AmPFGQihAAhwhoQhThLgXhiIAUgKQAWhXBQg5QBRg7BoAAQA8AAA/AYIAUgcQA4hIBXgrQBagqBnAAQCpAAB2BoQB2BoAACTIAAANQBOAoAxBEQAxBDAIBSQBGgZA0gtQAjgdAZghQgVAdgcAZQhzBoihAAg");
	this.shape.setTransform(78.8,73.4);

	this.shape_1 = new cjs.Shape();
	this.shape_1.graphics.f("#9DA3B5").s().p("AI9DhQgxhDhOgpIAAgMQAAiUh2hoQh2hoipAAQhnAAhaArQhXArg4BHIgUAdQg/gZg8AAQhoAAhRA7QhQA4gWBYIgUAKIgJhNQAAgbAEgZIAFgCQAYhYBYg5QBag7ByAAQBDAABFAYIAXgcQA9hIBggqQBkgrBxAAQC7AACDBoQCFBoAACVIgCAMQBeAqA2BJQA6BMAABZIgDAdQg0AthGAYQgIhRgxhEg");
	this.shape_1.setTransform(75.5,66);

	this.shape_2 = new cjs.Shape();
	this.shape_2.graphics.f("#BEC3D2").s().p("AKzHGQAAhag5hLQg3hKhegrIACgMQAAiViEhnQiDhoi7AAQhxAAhkArQhgArg9BHIgXAdQhFgZhDAAQhzAAhZA7QhYA5gYBXIgFACQADgQAEgPQAMgxAcgsQAghTB3gxQAXhfBVg+QBUg/BuAAQBBAABBAbIAVgfQA5hPBegtQBdgvBuAAQCvAAB+ByQB9BwAAChIAAAMQBZAvAzBPQA4BTAABgIAAAEQABCThCAuQgaAhgiAdg");
	this.shape_2.setTransform(81.8,48.2);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.shape_2},{t:this.shape_1},{t:this.shape}]}).wait(1));

}).prototype = getMCSymbolPrototype(lib.makonis1, new cjs.Rectangle(0,0,163.2,106.1), null);


(lib.pile1 = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer_1
	this.instance = new lib.sjhfre();
	this.instance.parent = this;
	this.instance.setTransform(26.2,-0.3,1,1,0,0,0,12.2,12.2);
	this.instance.alpha = 0;

	this.timeline.addTween(cjs.Tween.get(this.instance).to({x:23.7,y:1.2,alpha:1},3).to({x:12.2,y:12.2},13).to({x:4.7,y:18.7,alpha:0},3).wait(1));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(14,-12.5,24.5,24.5);


(lib.cloud1 = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// timeline functions:
	this.frame_27 = function() {
		this.stop();
	}

	// actions tween:
	this.timeline.addTween(cjs.Tween.get(this).wait(27).call(this.frame_27).wait(1));

	// zibens1
	this.instance = new lib.zibens1();
	this.instance.parent = this;
	this.instance.setTransform(132.2,105.9,1,1,0,0,0,32.6,36.7);
	this.instance.alpha = 0;
	this.instance._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(19).to({_off:false},0).to({x:114.2,y:122.4,alpha:1},6).wait(3));

	// pile1
	this.instance_1 = new lib.pile1();
	this.instance_1.parent = this;
	this.instance_1.setTransform(57.1,138.6,1,1,0,0,0,12.2,12.2);
	this.instance_1._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_1).wait(15).to({_off:false},0).wait(13));

	// pile1
	this.instance_2 = new lib.pile1();
	this.instance_2.parent = this;
	this.instance_2.setTransform(12.2,146.8,1,1,0,0,0,12.2,12.2);
	this.instance_2._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_2).wait(12).to({_off:false},0).wait(16));

	// pile1
	this.instance_3 = new lib.pile1();
	this.instance_3.parent = this;
	this.instance_3.setTransform(36.7,106,1,1,0,0,0,12.2,12.2);
	this.instance_3._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_3).wait(9).to({_off:false},0).wait(19));

	// sswdd
	this.instance_4 = new lib.sswdd();
	this.instance_4.parent = this;
	this.instance_4.setTransform(93.8,95.9,1,1,0,0,0,20.4,10.2);
	this.instance_4.alpha = 0;
	this.instance_4._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_4).wait(22).to({_off:false},0).to({alpha:1},3).wait(3));

	// makonis1
	this.instance_5 = new lib.makonis1();
	this.instance_5.parent = this;
	this.instance_5.setTransform(101.9,53,0.533,0.533,0,0,0,81.5,53);
	this.instance_5.alpha = 0;

	this.timeline.addTween(cjs.Tween.get(this.instance_5).to({scaleX:1,scaleY:1,alpha:1},7).wait(21));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(58.4,24.8,87,56.6);


(lib.cloud2 = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer_1
	this.instance = new lib.cloud1();
	this.instance.parent = this;
	this.instance.setTransform(91.8,79.5,1,1,0,0,0,91.8,79.5);

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

}).prototype = getMCSymbolPrototype(lib.cloud2, new cjs.Rectangle(58.4,24.8,87,56.6), null);


// stage content:
(lib.Element_icon__rain_Canvas = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer_1
	this.instance = new lib.cloud2();
	this.instance.parent = this;
	this.instance.setTransform(190.7,203.5,1.627,1.627,0,0,0,91.9,79.5);

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(336.2,314.4,141.6,92);
// library properties:
lib.properties = {
	id: 'EC274A348568BB4EAB8064F540067147',
	width: 400,
	height: 400,
	fps: 24,
	color: "#CCCCCC",
	opacity: 1.00,
	manifest: [],
	preloads: []
};



// bootstrap callback support:

(lib.Stage = function(canvas) {
	createjs.Stage.call(this, canvas);
}).prototype = p = new createjs.Stage();

p.setAutoPlay = function(autoPlay) {
	this.tickEnabled = autoPlay;
}
p.play = function() { this.tickEnabled = true; this.getChildAt(0).gotoAndPlay(this.getTimelinePosition()) }
p.stop = function(ms) { if(ms) this.seek(ms); this.tickEnabled = false; }
p.seek = function(ms) { this.tickEnabled = true; this.getChildAt(0).gotoAndStop(lib.properties.fps * ms / 1000); }
p.getDuration = function() { return this.getChildAt(0).totalFrames / lib.properties.fps * 1000; }

p.getTimelinePosition = function() { return this.getChildAt(0).currentFrame / lib.properties.fps * 1000; }

an.bootcompsLoaded = an.bootcompsLoaded || [];
if(!an.bootstrapListeners) {
	an.bootstrapListeners=[];
}

an.bootstrapCallback=function(fnCallback) {
	an.bootstrapListeners.push(fnCallback);
	if(an.bootcompsLoaded.length > 0) {
		for(var i=0; i<an.bootcompsLoaded.length; ++i) {
			fnCallback(an.bootcompsLoaded[i]);
		}
	}
};

an.compositions = an.compositions || {};
an.compositions['EC274A348568BB4EAB8064F540067147'] = {
	getStage: function() { return exportRoot.getStage(); },
	getLibrary: function() { return lib; },
	getSpriteSheet: function() { return ss; },
	getImages: function() { return img; }
};

an.compositionLoaded = function(id) {
	an.bootcompsLoaded.push(id);
	for(var j=0; j<an.bootstrapListeners.length; j++) {
		an.bootstrapListeners[j](id);
	}
}

an.getComposition = function(id) {
	return an.compositions[id];
}



})(createjs = createjs||{}, AdobeAn = AdobeAn||{});
var createjs, AdobeAn;